Update account settings (tradelink, access token, proxy, steam API, and webhook)
Unified endpoint to update multiple account settings in one request. This is useful for partners who need to manage accounts that are waiting for trade verification and balance unfreezing without keeping socket connections open. At least one field must be provided.
Parameters
| Name | Location | Type | Description |
|---|---|---|---|
apirequired | query | string | Your WAXPEER API key |
Request body
| Name | Location | Type | Description |
|---|---|---|---|
tradelinkoptional | body | string | Partner's Steam trade URL (tradelink) |
access_tokenoptional | body | string | Steam access token |
refresh_tokenoptional | body | string | refresh_token |
proxyoptional | body | string | proxy |
steam_apioptional | body | string | Steam Web API key |
webhookoptional | body | string | webhook |
reset_apioptional | body | boolean | reset_api |
{
"tradelink": "https://steamcommunity.com/tradeoffer/new/?partner=123456789&token=abcdefgh",
"access_token": "ZXlKaGJHY2lPaUpJVXpJMU5pSXNJblI1Y0NJNklrcFhWQ0o5...",
"refresh_token": "ZXlKaGJHY2lPaUpJVXpJMU5pSXNJblI1Y0NJNklrcFhWQ0o5...",
"proxy": "user123:[email protected]:8080",
"steam_api": "12345678901234567890123456789012",
"webhook": "https://your-site.com/webhook",
"reset_api": true
}Responses
200 Successful operation
| Name | Type | Description |
|---|---|---|
successoptional | boolean | Whether the operation succeeded |
tradelink_updatedoptional | boolean | Whether trade URL was updated |
access_token_updatedoptional | boolean | Indicates whether the access token was successfully updated |
proxy_updatedoptional | boolean | Indicates whether proxy was updated |
steam_api_updatedoptional | boolean | Whether Steam API key was updated |
steam_api_msgoptional | string | Steam API status update message |
webhook_updatedoptional | boolean | Whether webhook was updated |
webhook_msgoptional | string | Webhook update message |
api_resetoptional | boolean | Indicates that the API key was revoked (set to null) |
msgoptional | string | Reason message when success is false |
{
"success": true,
"tradelink_updated": true,
"access_token_updated": true,
"proxy_updated": true,
"steam_api_updated": true,
"steam_api_msg": "same_api",
"webhook_updated": true,
"webhook_msg": "same_value",
"api_reset": true,
"msg": "Invalid tradelink"
}400 Bad Request
| Name | Type | Description |
|---|---|---|
successoptional | boolean | Whether the operation succeeded |
msgoptional | string | Reason message when success is false |
{
"success": false,
"msg": "At least one field (tradelink, access_token, proxy, steam_api, webhook, or reset_api) must be provided"
}